echo "[SHELL][INFO] run no-root.sh"

ADB_ERR_TXT=/data/local/tmp/tgascp/adb_error.txt
EXE_ROOT="/data/local/tmp/"
DST_ROOT="/data/local/tmp/tgascp/"

# 7 file
DST_SCP_411_PATH="/data/local/tmp/tgascp/libmmcodec-scp-4-1-1.so"
DST_SCP_422_PATH="/data/local/tmp/tgascp/libmmcodec-scp-4-2-2.so"
DST_SCP_44_PATH="/data/local/tmp/tgascp/libmmcodec-scp-4-4.so"
DST_SCP_50_PATH="/data/local/tmp/tgascp/libmmcodec-scp-5-0.so"
DST_SCP_51_PATH="/data/local/tmp/tgascp/libmmcodec-scp-5-1.so"
DST_SCP_PATH="/data/local/tmp/tgascp/tga_scp"
DST_CHECKPROC_PATH="/data/local/tmp/tgascp/checkproc-cmd"

# we have to check run-priority
# check exe root
if [ ! -x "$EXE_ROOT" ]; then
echo 12 > $ADB_ERR_TXT
exit 12
fi

# check dst root
if [ ! -x "$DST_ROOT" ]; then
mkdir "$DST_ROOT"
fi

if [ ! -d "$DST_ROOT" ]; then
echo 13 > $ADB_ERR_TXT
exit 13
fi

# copy to dst 1
echo "[SHELL][INFO] check libmmcodec-scp-4-1-1.so"
if [ ! -f "$DST_SCP_411_PATH" ]; then
echo "[SHELL][FATAL] libmmcodec-scp-4-1-1.so Not Found."
echo 15 > $ADB_ERR_TXT
exit 15
fi

# copy to dst 2
echo "[SHELL][INFO] check libmmcodec-scp-4-2-2.so"
if [ ! -f "$DST_SCP_422_PATH" ]; then
echo "[SHELL][FATAL] libmmcodec-scp-4-2-2.so Not Found."
echo 15 > $ADB_ERR_TXT
exit 15
fi

# copy to dst 3
echo "[SHELL][INFO] check libmmcodec-scp-4-4.so"
if [ ! -f "$DST_SCP_44_PATH" ]; then
echo "[SHELL][FATAL] libmmcodec-scp-4-4.so Not Found."
echo 15 > $ADB_ERR_TXT
exit 15
fi

# copy to dst 4
echo "[SHELL][INFO] check libmmcodec-scp-5-0.so"
if [ ! -f "$DST_SCP_50_PATH" ]; then
echo "[SHELL][FATAL] libmmcodec-scp-5-0.so Not Found."
echo 15 > $ADB_ERR_TXT
exit 15
fi

# copy to dst 5
echo "[SHELL][INFO] check libmmcodec-scp-5-1.so"
if [ ! -f "$DST_SCP_51_PATH" ]; then
echo "[SHELL][FATAL] libmmcodec-scp-5-1.so Not Found."
echo 15 > $ADB_ERR_TXT
exit 15
fi

# copy to dst 6
echo "[SHELL][INFO] check tga_scp"
if [ ! -f "$DST_SCP_PATH" ]; then
echo "[SHELL][FATAL] tga-scp Not Found."
echo 15 > $ADB_ERR_TXT
exit 15
fi

# copy to dst 7
echo "[SHELL][INFO] check checkproc-cmd"
if [ ! -f "$DST_CHECKPROC_PATH" ]; then
echo "[SHELL][FATAL] checkproc-cmd Not Found."
echo 15 > $ADB_ERR_TXT
exit 15
fi

# chmod tga_scp
chmod 777 "$DST_SCP_PATH"
if [ $? -gt 0 ]; then
echo "[SHELL][FATAL] chmod tga_scp"
echo 10 > $ADB_ERR_TXT
exit 10
fi

# chmod checkproc-cmd
chmod 777 "$DST_CHECKPROC_PATH"
if [ $? -gt 0 ]; then
echo "[SHELL][FATAL] chmod checkproc-cmd"
echo 10 > $ADB_ERR_TXT
exit 10
fi


echo 0 > $ADB_ERR_TXT
exit 0
